#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    double z, s;
    double a[1000];
    double p[1000];
    scanf("%d", &n);
    for(int i=0; i<n; i++){
        scanf("%lf", &a[i]);
        scanf("%lf", &p[i]);
    }
      z=0;
      s=0;
       for(int i=0; i<n; i++){
        for(int j=0; j<n; j++){
           if(p[i]<=p[j]){
            s+=a[j]*p[i]/100;
           }
        }
        if(s>z){
            z=s;
        }
        s=0;
    }
    printf("%0.4lf",z);
}